Commit 86d03365 authored by Zen Fu's avatar Zen Fu
Browse files

Jenkins: update Git plugin and deps

Stored XSS vulnerability for Git plugin 3.12.1:

    https://jenkins.io/security/advisory/2020-03-09/#SECURITY-1723

The update of Mailer plugin was not mandatory but can save a bit of work
later.
parent 72538121
......@@ -121,8 +121,8 @@ class tails::jenkins::master (
# lint:ignore:140chars -- SHA512
jenkins::plugin { 'apache-httpcomponents-client-4-api':
version => '4.5.10-1.0',
digest_string => '9136a225a0006d5a812126360163558e486197a0db5ca556eac1032b14d874db',
version => '4.5.10-2.0',
digest_string => '86c85b7dfd07b0cc3c5bbde384e8e867935326a42116ee32bcb83d6b0a999334',
digest_type => 'sha256',
}
......@@ -246,8 +246,8 @@ class tails::jenkins::master (
}
jenkins::plugin { 'git':
version => '3.12.1',
digest_string => '6e02bf67623c4a4e01bbf01f73af21714ffad4068f705856f69118c4af6bb1ea',
version => '4.2.2',
digest_string => '0ea20fe0e1735c4188826b9ad65d6c47f1043fc795e54d96b496dfce9847807d',
digest_type => 'sha256',
require => Jenkins::Plugin[
'credentials',
......@@ -263,13 +263,14 @@ class tails::jenkins::master (
}
jenkins::plugin { 'git-client':
version => '2.8.6',
digest_string => '3a2bfd7aeb2ebb13b012824ddffa93d06814c9011e3525f056dbe1e917830860',
version => '3.2.1',
digest_string => '4fc73abfd087f473a673dff17257ac0fec9d6cf7f45cce14a1a331de6750dc89',
digest_type => 'sha256',
require => Jenkins::Plugin[
'apache-httpcomponents-client-4-api',
'credentials',
'jsch',
'script-security',
'ssh-credentials',
'structs',
],
......@@ -297,10 +298,13 @@ class tails::jenkins::master (
}
jenkins::plugin { 'jsch':
version => '0.1.55.1',
digest_string => '934151600dd42b0398e881fbba70656c38fd6a6f12a874d23fc8dc35e371c4d4',
version => '0.1.55.2',
digest_string => 'cdc74bf8e43eb40ae6ad98ba2f866c8891408038699da9b836518a1d8923fc44',
digest_type => 'sha256',
require => Jenkins::Plugin['ssh-credentials'],
require => Jenkins::Plugin[
'ssh-credentials',
'trilead-api',
],
}
jenkins::plugin { 'junit':
......@@ -316,8 +320,8 @@ class tails::jenkins::master (
}
jenkins::plugin { 'mailer':
version => '1.28',
digest_string => 'fe13df084a337522411c70bba1cb2e9c63bcdab322b77e559dc19fc08fde5a09',
version => '1.30',
digest_string => '713fa73d8684f17f66b8f09c3f742ac53d7b5a698c0d9af0867318f642211090',
digest_type => 'sha256',
require => Jenkins::Plugin['display-url-api'],
}
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment